Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000021KdenliveRenderingpublic2007-10-12 09:512008-11-12 23:00
ReporterdivVerent 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.7.0 beta 
Summary0000021: kdenlive keeps on rescaling AVI input; serious because it's impossible to specify user defined format
DescriptionI have the following input:

720x576 PNG frames
720x576 AVI MPEG-4 video @ 25fps (recorded from a demo in Nexuiz, encoded using mencoder)

When I try to combine them in kdenlive to "DVD PAL", I get black bars on the left and right. The black bars from the PNG images can be turned off by checking "Allow distortion of images". However, I found no way to get rid of the black bars in the video. According to mplayer -vf cropdetect, it is scaled down to 704x576 (and of course, scaling reduces quality).

I tried using

  mencoder -ovc copy -oac copy video.avi -aspect 4/3 -o video-newaspect.avi

with various aspect ratio values, and kdenlive still made the very same black bars although mplayer played back the AVI at a different size then - apparently kdenlive doesn't support the OpenDML comments in the AVI file for the aspect ratio.

All this would be a minor issue if the file format (resolution, fps) dialog would have a "Custom" setting where the input fields for these data are enabled and allow me to type in the data, so I can for example make "720x576 25fps 1:1".

Actually, originally I wanted to work at 640x480 25fps (as it was video recorded from a game, I wanted to use a typical PC resolution), but kdenlive does not have that preset and does not allow me to use my own. Even hacking the XML .kdenlive file didn't make any change, kdenlive seems to ignore the data in the XML tag and just uses what the profile contains.

Also... can I have a "allow to distort video aspect ratio" checkbox in the preferences dialog? It would have spared me of all that hassle...
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships
related to 0000262closedmadsdyd Project frame rates display incorrectly 
related to 0000257closedmadsdyd Project Monitor resize 100% does not work with custom size projects 

-  Notes
(0000629)
madsdyd (administrator)
2008-10-23 19:46

I am pretty sure this is fixed with svn rev. 2544.

If not, please file a new issue.

If you have trouble building/obtaining the KDE4/qt4 version of Kdenlive, please consult http://www.kdenlive.org/compile [^]

You may especially be interessted in the Kdenlive Builder Wizard, available at http://www.kde-apps.org/content/show.php?content=85826 [^] .

Note, that you do not need to run KDE4 to build and run the Kdenlive KDE4 version.

- Issue History
Date Modified Username Field Change
2007-10-12 09:51 divVerent New Issue
2008-10-23 19:45 madsdyd Relationship added related to 0000262
2008-10-23 19:45 madsdyd Relationship added related to 0000257
2008-10-23 19:46 madsdyd Note Added: 0000629
2008-10-23 19:46 madsdyd Status new => closed
2008-10-23 19:46 madsdyd Resolution open => fixed
2008-10-23 19:46 madsdyd Fixed in Version => Recent git
2008-11-12 23:00 madsdyd Fixed in Version Recent git => 0.7.0 beta


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker